=== debian/changelog ===
libavif (1.3.0-1ubuntu1) questing; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Disable pandoc and rav1e on i386

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 20 Aug 2025 20:08:37 +0200

libavif (1.3.0-1) unstable; urgency=medium

  * Upload to unstable.
  * debian/changelog: Merge NMU changelog history.

 -- Boyuan Yang <byang@debian.org>  Mon, 18 Aug 2025 12:38:49 -0400

libavif (1.3.0-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Fri, 16 May 2025 10:37:47 -0400

libavif (1.2.1-1.2ubuntu1) questing; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Disable pandoc and rav1e on i386

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 26 May 2025 13:57:10 +0200

libavif (1.2.1-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix upstream bug reference for patch for CVE-2025-48175
  * Add another integer overflow check to makeRoom

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 25 May 2025 07:27:30 +0200

libavif (1.2.1-1.1ubuntu1) questing; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Disable pandoc and rav1e on i386

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 19 May 2025 07:54:30 +0200

libavif (1.2.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add integer overflow checks to makeRoom (CVE-2025-48174) (Closes:
    #1105885)
  * Add integer overflow check to makeRoom (CVE-2025-48174) (Closes: #1105885)
  * Fix format errors (CVE-2025-48174) (Closes: #1105885)
  * Declare *RowBytes as size_t in avifImageRGBToYUV() (CVE-2025-48175)
    (Closes: #1105883)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 17 May 2025 16:03:36 +0200
