=== debian/control ===
Source: libavif
Section: libs
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 cmake (>= 3.13),
 debhelper-compat (= 13),
 libaom-dev (>= 3~),
 libcjson-dev,
 libdav1d-dev,
# only enable when libgav1-dev exist, see rules file
 libgav1-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el riscv64 loong64 x32],
 libgdk-pixbuf-2.0-dev,
 libjpeg-dev,
 libpng-dev,
# only enable when librav1e-dev exist, see rules file
 librav1e-dev [amd64 arm64 armel armhf mips64el mipsel ppc64el s390x powerpc ppc64 riscv64 loong64],
 libsharpyuv-dev,
 libsvtav1enc-dev,
 libyuv-dev,
# Disable doc build on arch with broken pandoc: kfreebsd-*, m68k, powerpc, sh4, x32, hppa, hurd-i386, loong64, sparc64
 pandoc [!i386 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !sh4 !x32 !hppa !hurd-i386 !loong64 !sparc64] <!nodoc>,
 pkgconf,
 zlib1g-dev,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://github.com/AOMediaCodec/libavif
Vcs-Git: https://salsa.debian.org/multimedia-team/libavif.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/libavif
Description: Library for handling .avif files
 This library aims to be a friendly, portable C implementation of the AV1
 Image File Format as described in https://aomediacodec.github.io/av1-avif/.

Package: libavif-bin
Section: utils
Architecture: any
Depends:
 libavif16 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: ${source:Synopsis} (utilities)
 ${source:Extended-Description}
 .
 This package provides several utilities provided by the library:
  - avifdec
  - avifenc

Package: libavif-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
# Manually maintained binary build-dependency as recorded in .pc file
 libaom-dev (>= 3~),
 libdav1d-dev,
 librav1e-dev [amd64 arm64 armel armhf mips64el mipsel ppc64el s390x powerpc ppc64 riscv64 loong64],
 libsvtav1enc-dev,
 libyuv-dev,
 libavif16 (= ${binary:Version}),
 ${misc:Depends},
Description: ${source:Synopsis} (development files)
 ${source:Extended-Description}
 .
 This package provides the development files.

Package: libavif16
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This package provides the shared library files.

Package: libavif-gdk-pixbuf
Architecture: any
Multi-Arch: same
Depends:
 libavif16 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libavif7-gdk-pixbuf,
 libavif8-gdk-pixbuf,
Replaces:
 libavif7-gdk-pixbuf,
 libavif8-gdk-pixbuf,
Description: ${source:Synopsis} (GDK pixbuf plugin)
 ${source:Extended-Description}
 .
 This package provides the GDK pixbuf plugin for the library.
