=== debian/watch ===
version=4
opts="filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/libavif-$1\.tar\.gz/,uversionmangle=s/-rc/~rc/" \
  https://github.com/AOMediaCodec/libavif/tags .*/v?(\d\S+)\.tar\.gz debian uupdate
opts="component=libargparse,mode=git,pgpmode=none" \
 https://github.com/kmurray/libargparse HEAD ignore
